Subject: [PATCH] PCI: hisi: add PCIe driver support for HiSilicon STB SoCs

From: [email-masked] (Shawn Guo)
Date: Mon, 23 Oct 2017 11:04:38 +0800

Hi Bjorn,

Thanks for taking time to look at the patch.

On Fri, Oct 20, 2017 at 05:52:48PM -0500, Bjorn Helgaas wrote:
> On Sun, Oct 15, 2017 at 01:06:11PM +0800, Shawn Guo wrote:
> > From: Jianguo Sun <[email-masked]>
> > 
> > Add PCIe controller driver for HiSilicon STB SoCs,
> > the controller is based on the DesignWare's PCIe core.
> 
> s/DesignWare's/DesignWare/
> 
> > Signed-off-by: Jianguo Sun <[email-masked]>
> > Signed-off-by: Shawn Guo <[email-masked]>
> > ---
> >  .../bindings/pci/hisilicon-histb-pcie.txt          |  66 +++
> >  drivers/pci/dwc/Kconfig                            |  10 +
> >  drivers/pci/dwc/Makefile                           |   1 +
> >  drivers/pci/dwc/pcie-histb.c                       | 469 +++++++++++++++++++++
> >  4 files changed, 546 insertions(+)
> >  create mode 100644 Documentation/devicetree/bindings/pci/hisilicon-histb-pcie.txt
> >  create mode 100644 drivers/pci/dwc/pcie-histb.c
> 
> Looks beautiful overall!
> 
> This needs a MAINTAINERS update so "./scripts/get_maintainer.pl -f" prints
> something useful.

Okay, I will add a MAINTAINERS entry for this driver.

> A few minor nits below that I would fix myself, but since you need to
> supply the MAINTAINERS update anyway, I'll let you do it :)

Thanks for all the suggestions.  We fixed them all, and the code does
look nicer.

Shawn